/genesys-knowledge | Type: Application | PCID required: Yes
Tools
genesys_knowledge_delete_knowledgebase
Delete knowledge base Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"knowledgeBaseId": {
"type": "string",
"description": "Knowledge base ID"
}
},
"required": [
"PCID",
"knowledgeBaseId"
]
}
genesys_knowledge_delete_knowledgebase_category
Delete category Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID |
categoryId | string | Yes | — | Category ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"knowledgeBaseId": {
"type": "string",
"description": "Knowledge base ID"
},
"categoryId": {
"type": "string",
"description": "Category ID"
}
},
"required": [
"PCID",
"knowledgeBaseId",
"categoryId"
]
}
genesys_knowledge_delete_knowledgebase_document
Delete document. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID. |
documentId | string | Yes | — | Document ID. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"knowledgeBaseId": {
"type": "string",
"description": "Knowledge base ID."
},
"documentId": {
"type": "string",
"description": "Document ID."
}
},
"required": [
"PCID",
"knowledgeBaseId",
"documentId"
]
}
genesys_knowledge_delete_knowledgebase_document_variation
Delete a variation for a document. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
documentVariationId | string | Yes | — | Globally unique identifier for a document variation. |
documentId | string | Yes | — | Globally unique identifier for a document. |
knowledgeBaseId | string | Yes | — | Globally unique identifier for a knowledge base. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"documentVariationId": {
"type": "string",
"description": "Globally unique identifier for a document variation."
},
"documentId": {
"type": "string",
"description": "Globally unique identifier for a document."
},
"knowledgeBaseId": {
"type": "string",
"description": "Globally unique identifier for a knowledge base."
}
},
"required": [
"PCID",
"documentVariationId",
"documentId",
"knowledgeBaseId"
]
}
genesys_knowledge_delete_knowledgebase_label
Delete label Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID |
labelId | string | Yes | — | Label ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"knowledgeBaseId": {
"type": "string",
"description": "Knowledge base ID"
},
"labelId": {
"type": "string",
"description": "Label ID"
}
},
"required": [
"PCID",
"knowledgeBaseId",
"labelId"
]
}
genesys_knowledge_delete_knowledgebase_sources_salesforce_source_id
Delete Salesforce Knowledge integration source Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID |
sourceId | string | Yes | — | Source ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"knowledgeBaseId": {
"type": "string",
"description": "Knowledge base ID"
},
"sourceId": {
"type": "string",
"description": "Source ID"
}
},
"required": [
"PCID",
"knowledgeBaseId",
"sourceId"
]
}
genesys_knowledge_delete_knowledgebase_sources_servicenow_source_id
Delete ServiceNow Knowledge integration source Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID |
sourceId | string | Yes | — | Source ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"knowledgeBaseId": {
"type": "string",
"description": "Knowledge base ID"
},
"sourceId": {
"type": "string",
"description": "Source ID"
}
},
"required": [
"PCID",
"knowledgeBaseId",
"sourceId"
]
}
genesys_knowledge_delete_knowledgebase_synchronize_job
Delete synchronization job Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID |
syncJobId | string | Yes | — | Synchronization job ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"knowledgeBaseId": {
"type": "string",
"description": "Knowledge base ID"
},
"syncJobId": {
"type": "string",
"description": "Synchronization job ID"
}
},
"required": [
"PCID",
"knowledgeBaseId",
"syncJobId"
]
}
genesys_knowledge_delete_setting
Delete Knowledge setting. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeSettingId | string | Yes | — | Knowledge Setting ID. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"knowledgeSettingId": {
"type": "string",
"description": "Knowledge Setting ID."
}
},
"required": [
"PCID",
"knowledgeSettingId"
]
}
genesys_knowledge_get_guest_session_categories
Get categories Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
sessionId | string | Yes | — | Knowledge guest session ID. |
before | string | No | — | The cursor that points to the start of the set of entities that has been returned. |
after | string | No | — | The cursor that points to the end of the set of entities that has been returned. |
pageSize | string | No | — | Number of entities to return. Maximum of 200. |
parentId | string | No | — | If specified, retrieves the children categories by parent category ID. |
isRoot | boolean | No | — | If specified, retrieves only the root categories. |
name | string | No | — | Filter to return the categories that starts with the given category name. |
sortBy | string | No | — | Name: sort by category names alphabetically; Hierarchy: sort by the full path of hierarchical category names alphabetically |
expand | string | No | — | The specified entity attribute will be filled. Supported value:“Ancestors”: every ancestors will be filled via the parent attribute recursively,but only the id, name, parentId will be present for the ancestors. |
includeDocumentCount | boolean | No | — | If specified, retrieves the number of documents related to category. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"sessionId": {
"type": "string",
"description": "Knowledge guest session ID."
},
"before": {
"type": "string",
"description": "The cursor that points to the start of the set of entities that has been returned."
},
"after": {
"type": "string",
"description": "The cursor that points to the end of the set of entities that has been returned."
},
"pageSize": {
"type": "string",
"description": "Number of entities to return. Maximum of 200."
},
"parentId": {
"type": "string",
"description": "If specified, retrieves the children categories by parent category ID."
},
"isRoot": {
"type": "boolean",
"description": "If specified, retrieves only the root categories."
},
"name": {
"type": "string",
"description": "Filter to return the categories that starts with the given category name."
},
"sortBy": {
"type": "string",
"description": "Name: sort by category names alphabetically; Hierarchy: sort by the full path of hierarchical category names alphabetically",
"enum": [
"Name",
"Hierarchy"
]
},
"expand": {
"type": "string",
"description": "The specified entity attribute will be filled. Supported value:\"Ancestors\": every ancestors will be filled via the parent attribute recursively,but only the id, name, parentId will be present for the ancestors."
},
"includeDocumentCount": {
"type": "boolean",
"description": "If specified, retrieves the number of documents related to category."
}
},
"required": [
"PCID",
"sessionId"
]
}
genesys_knowledge_get_guest_session_document
Get a knowledge document by ID. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
sessionId | string | Yes | — | Knowledge guest session ID. |
documentId | string | Yes | — | Document ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"sessionId": {
"type": "string",
"description": "Knowledge guest session ID."
},
"documentId": {
"type": "string",
"description": "Document ID"
}
},
"required": [
"PCID",
"sessionId",
"documentId"
]
}
genesys_knowledge_get_guest_session_documents
Get documents. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
sessionId | string | Yes | — | Knowledge guest session ID. |
categoryId | string[] | No | — | If specified, retrieves documents associated with category ids, comma separated values expected. |
pageSize | integer | No | — | Number of entities to return. Maximum of 200. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"sessionId": {
"type": "string",
"description": "Knowledge guest session ID."
},
"categoryId": {
"type": "array",
"items": {
"type": "string"
},
"description": "If specified, retrieves documents associated with category ids, comma separated values expected."
},
"pageSize": {
"type": "integer",
"description": "Number of entities to return. Maximum of 200."
}
},
"required": [
"PCID",
"sessionId"
]
}
genesys_knowledge_get_integration_options
Get sync options available for a knowledge-connect integration Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
integrationId | string | Yes | — | Integration ID |
knowledgeBaseIds | string[] | No | — | Narrowing down filtering option results by knowledge base. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"integrationId": {
"type": "string",
"description": "Integration ID"
},
"knowledgeBaseIds": {
"type": "array",
"items": {
"type": "string"
},
"description": "Narrowing down filtering option results by knowledge base."
}
},
"required": [
"PCID",
"integrationId"
]
}
genesys_knowledge_get_knowledge_knowledgebase
Get knowledge base Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"knowledgeBaseId": {
"type": "string",
"description": "Knowledge base ID"
}
},
"required": [
"PCID",
"knowledgeBaseId"
]
}
genesys_knowledge_get_knowledge_knowledgebase_categories
Get categories Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID |
before | string | No | — | The cursor that points to the start of the set of entities that has been returned. |
after | string | No | — | The cursor that points to the end of the set of entities that has been returned. |
pageSize | string | No | — | Number of entities to return. Maximum of 200. |
parentId | string | No | — | If specified, retrieves the children categories by parent category ID. |
isRoot | boolean | No | — | If specified, retrieves only the root categories. |
name | string | No | — | Filter to return the categories that starts with the given category name. |
sortBy | string | No | — | Name: sort by category names alphabetically; Hierarchy: sort by the full path of hierarchical category names alphabetically |
expand | string | No | — | The specified entity attribute will be filled. Supported value:“Ancestors”: every ancestors will be filled via the parent attribute recursively,but only the id, name, parentId will be present for the ancestors. |
includeDocumentCount | boolean | No | — | If specified, retrieves the number of documents related to category. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"knowledgeBaseId": {
"type": "string",
"description": "Knowledge base ID"
},
"before": {
"type": "string",
"description": "The cursor that points to the start of the set of entities that has been returned."
},
"after": {
"type": "string",
"description": "The cursor that points to the end of the set of entities that has been returned."
},
"pageSize": {
"type": "string",
"description": "Number of entities to return. Maximum of 200."
},
"parentId": {
"type": "string",
"description": "If specified, retrieves the children categories by parent category ID."
},
"isRoot": {
"type": "boolean",
"description": "If specified, retrieves only the root categories."
},
"name": {
"type": "string",
"description": "Filter to return the categories that starts with the given category name."
},
"sortBy": {
"type": "string",
"description": "Name: sort by category names alphabetically; Hierarchy: sort by the full path of hierarchical category names alphabetically",
"enum": [
"Name",
"Hierarchy"
]
},
"expand": {
"type": "string",
"description": "The specified entity attribute will be filled. Supported value:\"Ancestors\": every ancestors will be filled via the parent attribute recursively,but only the id, name, parentId will be present for the ancestors."
},
"includeDocumentCount": {
"type": "boolean",
"description": "If specified, retrieves the number of documents related to category."
}
},
"required": [
"PCID",
"knowledgeBaseId"
]
}
genesys_knowledge_get_knowledge_knowledgebase_category
Get category Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID |
categoryId | string | Yes | — | Category ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"knowledgeBaseId": {
"type": "string",
"description": "Knowledge base ID"
},
"categoryId": {
"type": "string",
"description": "Category ID"
}
},
"required": [
"PCID",
"knowledgeBaseId",
"categoryId"
]
}
genesys_knowledge_get_knowledge_knowledgebase_document
Get document. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID. |
documentId | string | Yes | — | Document ID. |
expand | any[] | No | — | The specified entity attributes will be filled. Comma separated values expected. Max No. of variations that can be returned on expand is 20. |
state | string | No | — | “when state is “Draft”, draft version of the document is returned,otherwise by default published version is returned in the response. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"knowledgeBaseId": {
"type": "string",
"description": "Knowledge base ID."
},
"documentId": {
"type": "string",
"description": "Document ID."
},
"expand": {
"type": "array",
"description": "The specified entity attributes will be filled. Comma separated values expected. Max No. of variations that can be returned on expand is 20."
},
"state": {
"type": "string",
"description": "\"when state is \"Draft\", draft version of the document is returned,otherwise by default published version is returned in the response.",
"enum": [
"Draft",
"Published"
]
}
},
"required": [
"PCID",
"knowledgeBaseId",
"documentId"
]
}
genesys_knowledge_get_knowledge_knowledgebase_document_variations
Get variations for a document. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Globally unique identifier for the knowledge base. |
documentId | string | Yes | — | Globally unique identifier for the document. |
before | string | No | — | The cursor that points to the start of the set of entities that has been returned. |
after | string | No | — | The cursor that points to the end of the set of entities that has been returned. |
pageSize | string | No | — | Number of entities to return. Maximum of 200. |
documentState | string | No | — | The state of the document. |
expand | any[] | No | — | The specified entity attributes will be filled. Comma separated values expected. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"knowledgeBaseId": {
"type": "string",
"description": "Globally unique identifier for the knowledge base."
},
"documentId": {
"type": "string",
"description": "Globally unique identifier for the document."
},
"before": {
"type": "string",
"description": "The cursor that points to the start of the set of entities that has been returned."
},
"after": {
"type": "string",
"description": "The cursor that points to the end of the set of entities that has been returned."
},
"pageSize": {
"type": "string",
"description": "Number of entities to return. Maximum of 200."
},
"documentState": {
"type": "string",
"description": "The state of the document.",
"enum": [
"Draft",
"Published"
]
},
"expand": {
"type": "array",
"description": "The specified entity attributes will be filled. Comma separated values expected."
}
},
"required": [
"PCID",
"knowledgeBaseId",
"documentId"
]
}
genesys_knowledge_get_knowledge_knowledgebase_documents
Get documents. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID |
before | string | No | — | The cursor that points to the start of the set of entities that has been returned. |
after | string | No | — | The cursor that points to the end of the set of entities that has been returned. |
pageSize | string | No | — | Number of entities to return. Maximum of 200. |
interval | string | No | — | Retrieves the documents modified in specified date and time range. If the after and before cursor parameters are within this interval, it would return valid data, otherwise it throws an error.The dates in the interval are represented in ISO-8601 format: YYYY-MM-DDThh:mm:ssZ/YYYY-MM-DDThh:mm:ssZ |
documentId | any[] | No | — | Retrieves the specified documents, comma separated values expected. |
categoryId | any[] | No | — | If specified, retrieves documents associated with category ids, comma separated values expected. |
includeSubcategories | boolean | No | — | Works along with ‘categoryId’ query parameter. If specified, retrieves documents associated with category ids and its children categories. |
includeDrafts | boolean | No | — | If includeDrafts is true, Documents in the draft state are also returned in the response. |
labelIds | any[] | No | — | If specified, retrieves documents associated with label ids, comma separated values expected. |
expand | any[] | No | — | The specified entity attributes will be filled. Comma separated values expected. |
externalIds | any[] | No | — | If specified, retrieves documents associated with external ids, comma separated values expected. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"knowledgeBaseId": {
"type": "string",
"description": "Knowledge base ID"
},
"before": {
"type": "string",
"description": "The cursor that points to the start of the set of entities that has been returned."
},
"after": {
"type": "string",
"description": "The cursor that points to the end of the set of entities that has been returned."
},
"pageSize": {
"type": "string",
"description": "Number of entities to return. Maximum of 200."
},
"interval": {
"type": "string",
"description": "Retrieves the documents modified in specified date and time range. If the after and before cursor parameters are within this interval, it would return valid data, otherwise it throws an error.The dates in the interval are represented in ISO-8601 format: YYYY-MM-DDThh:mm:ssZ/YYYY-MM-DDThh:mm:ssZ"
},
"documentId": {
"type": "array",
"description": "Retrieves the specified documents, comma separated values expected."
},
"categoryId": {
"type": "array",
"description": "If specified, retrieves documents associated with category ids, comma separated values expected."
},
"includeSubcategories": {
"type": "boolean",
"description": "Works along with 'categoryId' query parameter. If specified, retrieves documents associated with category ids and its children categories."
},
"includeDrafts": {
"type": "boolean",
"description": "If includeDrafts is true, Documents in the draft state are also returned in the response."
},
"labelIds": {
"type": "array",
"description": "If specified, retrieves documents associated with label ids, comma separated values expected."
},
"expand": {
"type": "array",
"description": "The specified entity attributes will be filled. Comma separated values expected."
},
"externalIds": {
"type": "array",
"description": "If specified, retrieves documents associated with external ids, comma separated values expected."
}
},
"required": [
"PCID",
"knowledgeBaseId"
]
}
genesys_knowledge_get_knowledge_knowledgebase_labels
Get labels Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID |
before | string | No | — | The cursor that points to the start of the set of entities that has been returned. |
after | string | No | — | The cursor that points to the end of the set of entities that has been returned. |
pageSize | string | No | — | Number of entities to return. Maximum of 200. |
name | string | No | — | Filter to return the labels that contains the given phrase in the name. |
includeDocumentCount | boolean | No | — | If specified, retrieves the number of documents related to label. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"knowledgeBaseId": {
"type": "string",
"description": "Knowledge base ID"
},
"before": {
"type": "string",
"description": "The cursor that points to the start of the set of entities that has been returned."
},
"after": {
"type": "string",
"description": "The cursor that points to the end of the set of entities that has been returned."
},
"pageSize": {
"type": "string",
"description": "Number of entities to return. Maximum of 200."
},
"name": {
"type": "string",
"description": "Filter to return the labels that contains the given phrase in the name."
},
"includeDocumentCount": {
"type": "boolean",
"description": "If specified, retrieves the number of documents related to label."
}
},
"required": [
"PCID",
"knowledgeBaseId"
]
}
genesys_knowledge_get_knowledge_knowledgebases
Get knowledge bases Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
before | string | No | — | The cursor that points to the start of the set of entities that has been returned. |
after | string | No | — | The cursor that points to the end of the set of entities that has been returned. |
limit | string | No | — | Number of entities to return. Maximum of 100. Deprecated in favour of pageSize |
pageSize | string | No | — | Number of entities to return. Maximum of 100. |
name | string | No | — | Filter by Name. |
coreLanguage | string | No | — | Filter by core language. |
published | boolean | No | — | Filter by published status. |
sortBy | string | No | — | Sort by. |
sortOrder | string | No | — | Sort Order. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"before": {
"type": "string",
"description": "The cursor that points to the start of the set of entities that has been returned."
},
"after": {
"type": "string",
"description": "The cursor that points to the end of the set of entities that has been returned."
},
"limit": {
"type": "string",
"description": "Number of entities to return. Maximum of 100. Deprecated in favour of pageSize"
},
"pageSize": {
"type": "string",
"description": "Number of entities to return. Maximum of 100."
},
"name": {
"type": "string",
"description": "Filter by Name."
},
"coreLanguage": {
"type": "string",
"description": "Filter by core language.",
"enum": [
"en-US",
"en-UK",
"en-AU",
"en-CA",
"en-HK",
"en-IN",
"en-IE",
"en-NZ",
"en-PH",
"en-SG",
"en-ZA",
"de-DE",
"de-AT",
"de-CH",
"es-AR",
"es-CO",
"es-MX",
"es-US",
"es-ES",
"fr-FR",
"fr-BE",
"fr-CA",
"fr-CH",
"pt-BR",
"pt-PT",
"nl-NL",
"nl-BE",
"it-IT",
"ca-ES",
"tr-TR",
"sv-SE",
"fi-FI",
"nb-NO",
"da-DK",
"ja-JP",
"ar-AE",
"zh-CN",
"zh-TW",
"zh-HK",
"ko-KR",
"pl-PL",
"hi-IN",
"th-TH",
"hu-HU",
"vi-VN",
"uk-UA",
"cs-CZ",
"fil-PH",
"ms-MY",
"he-IL",
"el-GR"
]
},
"published": {
"type": "boolean",
"description": "Filter by published status."
},
"sortBy": {
"type": "string",
"description": "Sort by.",
"enum": [
"Name",
"Date"
]
},
"sortOrder": {
"type": "string",
"description": "Sort Order.",
"enum": [
"ASC",
"ascending",
"DESC",
"descending"
]
}
},
"required": [
"PCID"
]
}
genesys_knowledge_get_knowledgebase
Get knowledge base Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"knowledgeBaseId": {
"type": "string",
"description": "Knowledge base ID"
}
},
"required": [
"PCID",
"knowledgeBaseId"
]
}
genesys_knowledge_get_knowledgebase_categories
Get categories Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID |
before | string | No | — | The cursor that points to the start of the set of entities that has been returned. |
after | string | No | — | The cursor that points to the end of the set of entities that has been returned. |
pageSize | string | No | — | Number of entities to return. Maximum of 200. |
parentId | string | No | — | If specified, retrieves the children categories by parent category ID. |
isRoot | boolean | No | — | If specified, retrieves only the root categories. |
name | string | No | — | Filter to return the categories that starts with the given category name. |
sortBy | string | No | — | Name: sort by category names alphabetically; Hierarchy: sort by the full path of hierarchical category names alphabetically |
expand | string | No | — | The specified entity attribute will be filled. Supported value:“Ancestors”: every ancestors will be filled via the parent attribute recursively,but only the id, name, parentId will be present for the ancestors. |
includeDocumentCount | boolean | No | — | If specified, retrieves the number of documents related to category. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"knowledgeBaseId": {
"type": "string",
"description": "Knowledge base ID"
},
"before": {
"type": "string",
"description": "The cursor that points to the start of the set of entities that has been returned."
},
"after": {
"type": "string",
"description": "The cursor that points to the end of the set of entities that has been returned."
},
"pageSize": {
"type": "string",
"description": "Number of entities to return. Maximum of 200."
},
"parentId": {
"type": "string",
"description": "If specified, retrieves the children categories by parent category ID."
},
"isRoot": {
"type": "boolean",
"description": "If specified, retrieves only the root categories."
},
"name": {
"type": "string",
"description": "Filter to return the categories that starts with the given category name."
},
"sortBy": {
"type": "string",
"description": "Name: sort by category names alphabetically; Hierarchy: sort by the full path of hierarchical category names alphabetically",
"enum": [
"Name",
"Hierarchy"
]
},
"expand": {
"type": "string",
"description": "The specified entity attribute will be filled. Supported value:\"Ancestors\": every ancestors will be filled via the parent attribute recursively,but only the id, name, parentId will be present for the ancestors."
},
"includeDocumentCount": {
"type": "boolean",
"description": "If specified, retrieves the number of documents related to category."
}
},
"required": [
"PCID",
"knowledgeBaseId"
]
}
genesys_knowledge_get_knowledgebase_category
Get category Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID |
categoryId | string | Yes | — | Category ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"knowledgeBaseId": {
"type": "string",
"description": "Knowledge base ID"
},
"categoryId": {
"type": "string",
"description": "Category ID"
}
},
"required": [
"PCID",
"knowledgeBaseId",
"categoryId"
]
}
genesys_knowledge_get_knowledgebase_document
Get document. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID. |
documentId | string | Yes | — | Document ID. |
expand | string[] | No | — | The specified entity attributes will be filled. Comma separated values expected. Max No. of variations that can be returned on expand is 20. |
state | string | No | — | “when state is “Draft”, draft version of the document is returned,otherwise by default published version is returned in the response. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"knowledgeBaseId": {
"type": "string",
"description": "Knowledge base ID."
},
"documentId": {
"type": "string",
"description": "Document ID."
},
"expand": {
"type": "array",
"items": {
"type": "string",
"enum": [
"category",
"labels",
"variations"
]
},
"description": "The specified entity attributes will be filled. Comma separated values expected. Max No. of variations that can be returned on expand is 20."
},
"state": {
"type": "string",
"description": "\"when state is \"Draft\", draft version of the document is returned,otherwise by default published version is returned in the response.",
"enum": [
"Draft",
"Published"
]
}
},
"required": [
"PCID",
"knowledgeBaseId",
"documentId"
]
}
genesys_knowledge_get_knowledgebase_document_feedback
Get a list of feedback records given on a document Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID. |
documentId | string | Yes | — | Document ID. |
before | string | No | — | The cursor that points to the start of the set of entities that has been returned. |
after | string | No | — | The cursor that points to the end of the set of entities that has been returned. |
pageSize | string | No | — | Number of entities to return. Maximum of 200. |
onlyCommented | boolean | No | — | If true, only feedback records that have comment are returned. If false, feedback records with and without comment are returned. Default: false. |
documentVersionId | string | No | — | Document version ID to filter by. Supported only if onlyCommented=true is set. |
documentVariationId | string | No | — | Document variation ID to filter by. Supported only if onlyCommented=true is set. |
appType | string | No | — | Application type to filter by. Supported only if onlyCommented=true is set. |
queryType | string | No | — | Query type to filter by. Supported only if onlyCommented=true is set. |
userId | string | No | — | The ID of the user, who created the feedback, to filter by. Supported only if onlyCommented=true is set. |
queueId | string | No | — | Queue ID to filter by. Supported only if onlyCommented=true is set. |
state | string | No | — | State to filter by. Supported only if onlyCommented=true is set. Default: Final |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"knowledgeBaseId": {
"type": "string",
"description": "Knowledge base ID."
},
"documentId": {
"type": "string",
"description": "Document ID."
},
"before": {
"type": "string",
"description": "The cursor that points to the start of the set of entities that has been returned."
},
"after": {
"type": "string",
"description": "The cursor that points to the end of the set of entities that has been returned."
},
"pageSize": {
"type": "string",
"description": "Number of entities to return. Maximum of 200."
},
"onlyCommented": {
"type": "boolean",
"description": "If true, only feedback records that have comment are returned. If false, feedback records with and without comment are returned. Default: false."
},
"documentVersionId": {
"type": "string",
"description": "Document version ID to filter by. Supported only if onlyCommented=true is set."
},
"documentVariationId": {
"type": "string",
"description": "Document variation ID to filter by. Supported only if onlyCommented=true is set."
},
"appType": {
"type": "string",
"description": "Application type to filter by. Supported only if onlyCommented=true is set.",
"enum": [
"Assistant",
"BotFlow",
"MessengerKnowledgeApp",
"SmartAdvisor",
"SupportCenter"
]
},
"queryType": {
"type": "string",
"description": "Query type to filter by. Supported only if onlyCommented=true is set.",
"enum": [
"Unknown",
"Article",
"AutoSearch",
"Category",
"ManualSearch",
"Recommendation",
"Suggestion",
"ExpandedArticle"
]
},
"userId": {
"type": "string",
"description": "The ID of the user, who created the feedback, to filter by. Supported only if onlyCommented=true is set."
},
"queueId": {
"type": "string",
"description": "Queue ID to filter by. Supported only if onlyCommented=true is set."
},
"state": {
"type": "string",
"description": "State to filter by. Supported only if onlyCommented=true is set. Default: Final",
"enum": [
"All",
"Draft",
"Final"
]
}
},
"required": [
"PCID",
"knowledgeBaseId",
"documentId"
]
}
genesys_knowledge_get_knowledgebase_document_feedback_feedback_id
Get a single feedback record given on a document Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID. |
documentId | string | Yes | — | Document ID. |
feedbackId | string | Yes | — | Feedback ID. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"knowledgeBaseId": {
"type": "string",
"description": "Knowledge base ID."
},
"documentId": {
"type": "string",
"description": "Document ID."
},
"feedbackId": {
"type": "string",
"description": "Feedback ID."
}
},
"required": [
"PCID",
"knowledgeBaseId",
"documentId",
"feedbackId"
]
}
genesys_knowledge_get_knowledgebase_document_variation
Get a variation for a document. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
documentVariationId | string | Yes | — | Globally unique identifier for a document variation. |
documentId | string | Yes | — | Globally unique identifier for a document. |
knowledgeBaseId | string | Yes | — | Globally unique identifier for a knowledge base. |
documentState | string | No | — | The state of the document. |
expand | string[] | No | — | The specified entity attributes will be filled. Comma separated values expected. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"documentVariationId": {
"type": "string",
"description": "Globally unique identifier for a document variation."
},
"documentId": {
"type": "string",
"description": "Globally unique identifier for a document."
},
"knowledgeBaseId": {
"type": "string",
"description": "Globally unique identifier for a knowledge base."
},
"documentState": {
"type": "string",
"description": "The state of the document.",
"enum": [
"Draft",
"Published"
]
},
"expand": {
"type": "array",
"items": {
"type": "string",
"enum": [
"contentUrl"
]
},
"description": "The specified entity attributes will be filled. Comma separated values expected."
}
},
"required": [
"PCID",
"documentVariationId",
"documentId",
"knowledgeBaseId"
]
}
genesys_knowledge_get_knowledgebase_document_variations
Get variations for a document. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Globally unique identifier for the knowledge base. |
documentId | string | Yes | — | Globally unique identifier for the document. |
before | string | No | — | The cursor that points to the start of the set of entities that has been returned. |
after | string | No | — | The cursor that points to the end of the set of entities that has been returned. |
pageSize | string | No | — | Number of entities to return. Maximum of 200. |
documentState | string | No | — | The state of the document. |
expand | string[] | No | — | The specified entity attributes will be filled. Comma separated values expected. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"knowledgeBaseId": {
"type": "string",
"description": "Globally unique identifier for the knowledge base."
},
"documentId": {
"type": "string",
"description": "Globally unique identifier for the document."
},
"before": {
"type": "string",
"description": "The cursor that points to the start of the set of entities that has been returned."
},
"after": {
"type": "string",
"description": "The cursor that points to the end of the set of entities that has been returned."
},
"pageSize": {
"type": "string",
"description": "Number of entities to return. Maximum of 200."
},
"documentState": {
"type": "string",
"description": "The state of the document.",
"enum": [
"Draft",
"Published"
]
},
"expand": {
"type": "array",
"items": {
"type": "string",
"enum": [
"contentUrl"
]
},
"description": "The specified entity attributes will be filled. Comma separated values expected."
}
},
"required": [
"PCID",
"knowledgeBaseId",
"documentId"
]
}
genesys_knowledge_get_knowledgebase_document_version
Get document version. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Globally unique identifier for the knowledge base. |
documentId | string | Yes | — | Globally unique identifier for the document. |
versionId | string | Yes | — | Globally unique identifier for the document version. |
expand | string[] | No | — | The specified entity attributes will be filled. Comma separated values expected. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"knowledgeBaseId": {
"type": "string",
"description": "Globally unique identifier for the knowledge base."
},
"documentId": {
"type": "string",
"description": "Globally unique identifier for the document."
},
"versionId": {
"type": "string",
"description": "Globally unique identifier for the document version."
},
"expand": {
"type": "array",
"items": {
"type": "string",
"enum": [
"category",
"labels"
]
},
"description": "The specified entity attributes will be filled. Comma separated values expected."
}
},
"required": [
"PCID",
"knowledgeBaseId",
"documentId",
"versionId"
]
}
genesys_knowledge_get_knowledgebase_document_version_variation
Get variation for the given document version. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Globally unique identifier for the knowledge base. |
documentId | string | Yes | — | Globally unique identifier for the document. |
versionId | string | Yes | — | Globally unique identifier for the document version. |
variationId | string | Yes | — | Globally unique identifier for the document version variation. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"knowledgeBaseId": {
"type": "string",
"description": "Globally unique identifier for the knowledge base."
},
"documentId": {
"type": "string",
"description": "Globally unique identifier for the document."
},
"versionId": {
"type": "string",
"description": "Globally unique identifier for the document version."
},
"variationId": {
"type": "string",
"description": "Globally unique identifier for the document version variation."
}
},
"required": [
"PCID",
"knowledgeBaseId",
"documentId",
"versionId",
"variationId"
]
}
genesys_knowledge_get_knowledgebase_document_version_variations
Get variations for the given document version. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Globally unique identifier for the knowledge base. |
documentId | string | Yes | — | Globally unique identifier for the document. |
versionId | string | Yes | — | Globally unique identifier for the document version. |
before | string | No | — | The cursor that points to the start of the set of entities that has been returned. |
after | string | No | — | The cursor that points to the end of the set of entities that has been returned. |
pageSize | string | No | — | Number of entities to return. Maximum of 200. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"knowledgeBaseId": {
"type": "string",
"description": "Globally unique identifier for the knowledge base."
},
"documentId": {
"type": "string",
"description": "Globally unique identifier for the document."
},
"versionId": {
"type": "string",
"description": "Globally unique identifier for the document version."
},
"before": {
"type": "string",
"description": "The cursor that points to the start of the set of entities that has been returned."
},
"after": {
"type": "string",
"description": "The cursor that points to the end of the set of entities that has been returned."
},
"pageSize": {
"type": "string",
"description": "Number of entities to return. Maximum of 200."
}
},
"required": [
"PCID",
"knowledgeBaseId",
"documentId",
"versionId"
]
}
genesys_knowledge_get_knowledgebase_document_versions
Get document versions. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Globally unique identifier for the knowledge base. |
documentId | string | Yes | — | Globally unique identifier for the document. |
before | string | No | — | The cursor that points to the start of the set of entities that has been returned. |
after | string | No | — | The cursor that points to the end of the set of entities that has been returned. |
pageSize | string | No | — | Number of entities to return. Maximum of 200. |
expand | string[] | No | — | The specified entity attributes will be filled. Comma separated values expected. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"knowledgeBaseId": {
"type": "string",
"description": "Globally unique identifier for the knowledge base."
},
"documentId": {
"type": "string",
"description": "Globally unique identifier for the document."
},
"before": {
"type": "string",
"description": "The cursor that points to the start of the set of entities that has been returned."
},
"after": {
"type": "string",
"description": "The cursor that points to the end of the set of entities that has been returned."
},
"pageSize": {
"type": "string",
"description": "Number of entities to return. Maximum of 200."
},
"expand": {
"type": "array",
"items": {
"type": "string",
"enum": [
"category",
"labels"
]
},
"description": "The specified entity attributes will be filled. Comma separated values expected."
}
},
"required": [
"PCID",
"knowledgeBaseId",
"documentId"
]
}
genesys_knowledge_get_knowledgebase_documents
Get documents. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID |
before | string | No | — | The cursor that points to the start of the set of entities that has been returned. |
after | string | No | — | The cursor that points to the end of the set of entities that has been returned. |
pageSize | string | No | — | Number of entities to return. Maximum of 200. |
interval | string | No | — | Retrieves the documents modified in specified date and time range. If the after and before cursor parameters are within this interval, it would return valid data, otherwise it throws an error.The dates in the interval are represented in ISO-8601 format: YYYY-MM-DDThh:mm:ssZ/YYYY-MM-DDThh:mm:ssZ |
documentId | string[] | No | — | Retrieves the specified documents, comma separated values expected. |
categoryId | string[] | No | — | If specified, retrieves documents associated with category ids, comma separated values expected. |
includeSubcategories | boolean | No | — | Works along with ‘categoryId’ query parameter. If specified, retrieves documents associated with category ids and its children categories. |
includeDrafts | boolean | No | — | If includeDrafts is true, Documents in the draft state are also returned in the response. |
labelIds | string[] | No | — | If specified, retrieves documents associated with label ids, comma separated values expected. |
expand | string[] | No | — | The specified entity attributes will be filled. Comma separated values expected. |
externalIds | string[] | No | — | If specified, retrieves documents associated with external ids, comma separated values expected. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"knowledgeBaseId": {
"type": "string",
"description": "Knowledge base ID"
},
"before": {
"type": "string",
"description": "The cursor that points to the start of the set of entities that has been returned."
},
"after": {
"type": "string",
"description": "The cursor that points to the end of the set of entities that has been returned."
},
"pageSize": {
"type": "string",
"description": "Number of entities to return. Maximum of 200."
},
"interval": {
"type": "string",
"description": "Retrieves the documents modified in specified date and time range. If the after and before cursor parameters are within this interval, it would return valid data, otherwise it throws an error.The dates in the interval are represented in ISO-8601 format: YYYY-MM-DDThh:mm:ssZ/YYYY-MM-DDThh:mm:ssZ"
},
"documentId": {
"type": "array",
"items": {
"type": "string"
},
"description": "Retrieves the specified documents, comma separated values expected."
},
"categoryId": {
"type": "array",
"items": {
"type": "string"
},
"description": "If specified, retrieves documents associated with category ids, comma separated values expected."
},
"includeSubcategories": {
"type": "boolean",
"description": "Works along with 'categoryId' query parameter. If specified, retrieves documents associated with category ids and its children categories."
},
"includeDrafts": {
"type": "boolean",
"description": "If includeDrafts is true, Documents in the draft state are also returned in the response."
},
"labelIds": {
"type": "array",
"items": {
"type": "string"
},
"description": "If specified, retrieves documents associated with label ids, comma separated values expected."
},
"expand": {
"type": "array",
"items": {
"type": "string",
"enum": [
"category",
"labels"
]
},
"description": "The specified entity attributes will be filled. Comma separated values expected."
},
"externalIds": {
"type": "array",
"items": {
"type": "string"
},
"description": "If specified, retrieves documents associated with external ids, comma separated values expected."
}
},
"required": [
"PCID",
"knowledgeBaseId"
]
}
genesys_knowledge_get_knowledgebase_label
Get label Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID |
labelId | string | Yes | — | Label ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"knowledgeBaseId": {
"type": "string",
"description": "Knowledge base ID"
},
"labelId": {
"type": "string",
"description": "Label ID"
}
},
"required": [
"PCID",
"knowledgeBaseId",
"labelId"
]
}
genesys_knowledge_get_knowledgebase_labels
Get labels Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID |
before | string | No | — | The cursor that points to the start of the set of entities that has been returned. |
after | string | No | — | The cursor that points to the end of the set of entities that has been returned. |
pageSize | string | No | — | Number of entities to return. Maximum of 200. |
name | string | No | — | Filter to return the labels that contains the given phrase in the name. |
includeDocumentCount | boolean | No | — | If specified, retrieves the number of documents related to label. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"knowledgeBaseId": {
"type": "string",
"description": "Knowledge base ID"
},
"before": {
"type": "string",
"description": "The cursor that points to the start of the set of entities that has been returned."
},
"after": {
"type": "string",
"description": "The cursor that points to the end of the set of entities that has been returned."
},
"pageSize": {
"type": "string",
"description": "Number of entities to return. Maximum of 200."
},
"name": {
"type": "string",
"description": "Filter to return the labels that contains the given phrase in the name."
},
"includeDocumentCount": {
"type": "boolean",
"description": "If specified, retrieves the number of documents related to label."
}
},
"required": [
"PCID",
"knowledgeBaseId"
]
}
genesys_knowledge_get_knowledgebase_operations
Get operations Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID |
before | string | No | — | The cursor that points to the start of the set of entities that has been returned. |
after | string | No | — | The cursor that points to the end of the set of entities that has been returned. |
pageSize | string | No | — | Number of entities to return. Maximum of 200. |
userId | string[] | No | — | If specified, retrieves operations associated with user ids, comma separated values expected. |
type | string[] | No | — | If specified, retrieves operations with specified operation type, comma separated values expected. |
status | string[] | No | — | If specified, retrieves operations with specified operation status, comma separated values expected. |
interval | string | No | — | Retrieves the operations modified in specified date and time range. If the after and before cursor parameters are within this interval, it would return valid data, otherwise it throws an error.The dates in the interval are represented in ISO-8601 format: YYYY-MM-DDThh:mm:ssZ/YYYY-MM-DDThh:mm:ssZ |
sourceId | string[] | No | — | If specified, retrieves operations associated with source ids, comma separated values expected. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"knowledgeBaseId": {
"type": "string",
"description": "Knowledge base ID"
},
"before": {
"type": "string",
"description": "The cursor that points to the start of the set of entities that has been returned."
},
"after": {
"type": "string",
"description": "The cursor that points to the end of the set of entities that has been returned."
},
"pageSize": {
"type": "string",
"description": "Number of entities to return. Maximum of 200."
},
"userId": {
"type": "array",
"items": {
"type": "string"
},
"description": "If specified, retrieves operations associated with user ids, comma separated values expected."
},
"type": {
"type": "array",
"items": {
"type": "string",
"enum": [
"Export",
"Import",
"Parse",
"Sync"
]
},
"description": "If specified, retrieves operations with specified operation type, comma separated values expected."
},
"status": {
"type": "array",
"items": {
"type": "string"
},
"description": "If specified, retrieves operations with specified operation status, comma separated values expected."
},
"interval": {
"type": "string",
"description": "Retrieves the operations modified in specified date and time range. If the after and before cursor parameters are within this interval, it would return valid data, otherwise it throws an error.The dates in the interval are represented in ISO-8601 format: YYYY-MM-DDThh:mm:ssZ/YYYY-MM-DDThh:mm:ssZ"
},
"sourceId": {
"type": "array",
"items": {
"type": "string"
},
"description": "If specified, retrieves operations associated with source ids, comma separated values expected."
}
},
"required": [
"PCID",
"knowledgeBaseId"
]
}
genesys_knowledge_get_knowledgebase_operations_users_query
Get ids of operation creator users and oauth clients Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"knowledgeBaseId": {
"type": "string",
"description": "Knowledge base ID"
}
},
"required": [
"PCID",
"knowledgeBaseId"
]
}
genesys_knowledge_get_knowledgebase_parse_job
Get parse job report Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID |
parseJobId | string | Yes | — | Parse job ID |
expand | string[] | No | — | If expand contains ‘urls’ downloadURL and failedEntitiesURL will be filled. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"knowledgeBaseId": {
"type": "string",
"description": "Knowledge base ID"
},
"parseJobId": {
"type": "string",
"description": "Parse job ID"
},
"expand": {
"type": "array",
"items": {
"type": "string",
"enum": [
"urls"
]
},
"description": "If expand contains 'urls' downloadURL and failedEntitiesURL will be filled."
}
},
"required": [
"PCID",
"knowledgeBaseId",
"parseJobId"
]
}
genesys_knowledge_get_knowledgebase_sources
Get Knowledge integration sources Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID |
type | string | No | — | If specified, retrieves integration sources with specified integration type. |
expand | string[] | No | — | The specified entity attributes will be filled. Comma separated values expected. |
ids | string[] | No | — | If specified, retrieves integration sources with specified IDs. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"knowledgeBaseId": {
"type": "string",
"description": "Knowledge base ID"
},
"type": {
"type": "string",
"description": "If specified, retrieves integration sources with specified integration type.",
"enum": [
"Salesforce",
"ServiceNow"
]
},
"expand": {
"type": "array",
"items": {
"type": "string",
"enum": [
"lastsync"
]
},
"description": "The specified entity attributes will be filled. Comma separated values expected."
},
"ids": {
"type": "array",
"items": {
"type": "string"
},
"description": "If specified, retrieves integration sources with specified IDs."
}
},
"required": [
"PCID",
"knowledgeBaseId"
]
}
genesys_knowledge_get_knowledgebase_sources_salesforce_source_id
Get Salesforce Knowledge integration source Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID |
sourceId | string | Yes | — | Source ID |
expand | string[] | No | — | The specified entity attributes will be filled. Comma separated values expected. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"knowledgeBaseId": {
"type": "string",
"description": "Knowledge base ID"
},
"sourceId": {
"type": "string",
"description": "Source ID"
},
"expand": {
"type": "array",
"items": {
"type": "string",
"enum": [
"lastsync"
]
},
"description": "The specified entity attributes will be filled. Comma separated values expected."
}
},
"required": [
"PCID",
"knowledgeBaseId",
"sourceId"
]
}
genesys_knowledge_get_knowledgebase_sources_servicenow_source_id
Get ServiceNow Knowledge integration source Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID |
sourceId | string | Yes | — | Source ID |
expand | string[] | No | — | The specified entity attributes will be filled. Comma separated values expected. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"knowledgeBaseId": {
"type": "string",
"description": "Knowledge base ID"
},
"sourceId": {
"type": "string",
"description": "Source ID"
},
"expand": {
"type": "array",
"items": {
"type": "string",
"enum": [
"lastsync"
]
},
"description": "The specified entity attributes will be filled. Comma separated values expected."
}
},
"required": [
"PCID",
"knowledgeBaseId",
"sourceId"
]
}
genesys_knowledge_get_knowledgebase_synchronize_job
Get synchronization job report Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID |
syncJobId | string | Yes | — | Synchronization job ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"knowledgeBaseId": {
"type": "string",
"description": "Knowledge base ID"
},
"syncJobId": {
"type": "string",
"description": "Synchronization job ID"
}
},
"required": [
"PCID",
"knowledgeBaseId",
"syncJobId"
]
}
genesys_knowledge_get_knowledgebase_unanswered_group
Get knowledge base unanswered group for a particular groupId Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID |
groupId | string | Yes | — | The ID of the group to be retrieved. |
app | string | No | — | The app value to be used for filtering phrases. |
dateStart | string | No | — | The start date to be used for filtering phrases. Dates are represented as an ISO-8601 string. For example: yyyy-MM-dd |
dateEnd | string | No | — | The end date to be used for filtering phrases. Dates are represented as an ISO-8601 string. For example: yyyy-MM-dd |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"knowledgeBaseId": {
"type": "string",
"description": "Knowledge base ID"
},
"groupId": {
"type": "string",
"description": "The ID of the group to be retrieved."
},
"app": {
"type": "string",
"description": "The app value to be used for filtering phrases.",
"enum": [
"SupportCenter",
"MessengerKnowledgeApp",
"BotFlow",
"Assistant",
"SmartAdvisor"
]
},
"dateStart": {
"type": "string",
"description": "The start date to be used for filtering phrases. Dates are represented as an ISO-8601 string. For example: yyyy-MM-dd"
},
"dateEnd": {
"type": "string",
"description": "The end date to be used for filtering phrases. Dates are represented as an ISO-8601 string. For example: yyyy-MM-dd"
}
},
"required": [
"PCID",
"knowledgeBaseId",
"groupId"
]
}
genesys_knowledge_get_knowledgebase_unanswered_group_phrasegroup
Get knowledge base unanswered phrase group for a particular phraseGroupId Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID |
groupId | string | Yes | — | The ID of the group to be retrieved. |
phraseGroupId | string | Yes | — | The ID of the phraseGroup to be retrieved. |
app | string | No | — | The app value to be used for filtering phrases. |
dateStart | string | No | — | The start date to be used for filtering phrases. Dates are represented as an ISO-8601 string. For example: yyyy-MM-dd |
dateEnd | string | No | — | The end date to be used for filtering phrases. Dates are represented as an ISO-8601 string. For example: yyyy-MM-dd |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"knowledgeBaseId": {
"type": "string",
"description": "Knowledge base ID"
},
"groupId": {
"type": "string",
"description": "The ID of the group to be retrieved."
},
"phraseGroupId": {
"type": "string",
"description": "The ID of the phraseGroup to be retrieved."
},
"app": {
"type": "string",
"description": "The app value to be used for filtering phrases.",
"enum": [
"SupportCenter",
"MessengerKnowledgeApp",
"BotFlow",
"Assistant",
"SmartAdvisor"
]
},
"dateStart": {
"type": "string",
"description": "The start date to be used for filtering phrases. Dates are represented as an ISO-8601 string. For example: yyyy-MM-dd"
},
"dateEnd": {
"type": "string",
"description": "The end date to be used for filtering phrases. Dates are represented as an ISO-8601 string. For example: yyyy-MM-dd"
}
},
"required": [
"PCID",
"knowledgeBaseId",
"groupId",
"phraseGroupId"
]
}
genesys_knowledge_get_knowledgebase_unanswered_groups
Get knowledge base unanswered groups Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID |
app | string | No | — | The app value to be used for filtering phrases. |
dateStart | string | No | — | The start date to be used for filtering phrases. Dates are represented as an ISO-8601 string. For example: yyyy-MM-dd |
dateEnd | string | No | — | The end date to be used for filtering phrases. Dates are represented as an ISO-8601 string. For example: yyyy-MM-dd |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"knowledgeBaseId": {
"type": "string",
"description": "Knowledge base ID"
},
"app": {
"type": "string",
"description": "The app value to be used for filtering phrases.",
"enum": [
"SupportCenter",
"MessengerKnowledgeApp",
"BotFlow",
"Assistant",
"SmartAdvisor"
]
},
"dateStart": {
"type": "string",
"description": "The start date to be used for filtering phrases. Dates are represented as an ISO-8601 string. For example: yyyy-MM-dd"
},
"dateEnd": {
"type": "string",
"description": "The end date to be used for filtering phrases. Dates are represented as an ISO-8601 string. For example: yyyy-MM-dd"
}
},
"required": [
"PCID",
"knowledgeBaseId"
]
}
genesys_knowledge_get_knowledgebase_uploads_urls_job
Get content upload from URL job status Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID |
jobId | string | Yes | — | Upload job ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"knowledgeBaseId": {
"type": "string",
"description": "Knowledge base ID"
},
"jobId": {
"type": "string",
"description": "Upload job ID"
}
},
"required": [
"PCID",
"knowledgeBaseId",
"jobId"
]
}
genesys_knowledge_get_knowledgebases
Get knowledge bases Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
before | string | No | — | The cursor that points to the start of the set of entities that has been returned. |
after | string | No | — | The cursor that points to the end of the set of entities that has been returned. |
limit | string | No | — | Number of entities to return. Maximum of 100. Deprecated in favour of pageSize |
pageSize | string | No | — | Number of entities to return. Maximum of 100. |
name | string | No | — | Filter by Name. |
coreLanguage | string | No | — | Filter by core language. |
published | boolean | No | — | Filter by published status. |
sortBy | string | No | — | Sort by. |
sortOrder | string | No | — | Sort Order. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"before": {
"type": "string",
"description": "The cursor that points to the start of the set of entities that has been returned."
},
"after": {
"type": "string",
"description": "The cursor that points to the end of the set of entities that has been returned."
},
"limit": {
"type": "string",
"description": "Number of entities to return. Maximum of 100. Deprecated in favour of pageSize"
},
"pageSize": {
"type": "string",
"description": "Number of entities to return. Maximum of 100."
},
"name": {
"type": "string",
"description": "Filter by Name."
},
"coreLanguage": {
"type": "string",
"description": "Filter by core language.",
"enum": [
"en-US",
"en-UK",
"en-AU",
"en-CA",
"en-HK",
"en-IN",
"en-IE",
"en-NZ",
"en-PH",
"en-SG",
"en-ZA",
"de-DE",
"de-AT",
"de-CH",
"es-AR",
"es-CO",
"es-MX",
"es-US",
"es-ES",
"fr-FR",
"fr-BE",
"fr-CA",
"fr-CH",
"pt-BR",
"pt-PT",
"nl-NL",
"nl-BE",
"it-IT",
"ca-ES",
"tr-TR",
"sv-SE",
"fi-FI",
"nb-NO",
"da-DK",
"ja-JP",
"ar-AE",
"zh-CN",
"zh-TW",
"zh-HK",
"ko-KR",
"pl-PL",
"hi-IN",
"th-TH",
"hu-HU",
"vi-VN",
"uk-UA",
"cs-CZ",
"fil-PH",
"ms-MY",
"he-IL",
"el-GR"
]
},
"published": {
"type": "boolean",
"description": "Filter by published status."
},
"sortBy": {
"type": "string",
"description": "Sort by.",
"enum": [
"Name",
"Date"
]
},
"sortOrder": {
"type": "string",
"description": "Sort Order.",
"enum": [
"ASC",
"ascending",
"DESC",
"descending"
]
}
},
"required": [
"PCID"
]
}
genesys_knowledge_get_setting
Get Knowledge setting. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeSettingId | string | Yes | — | Knowledge Setting ID. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"knowledgeSettingId": {
"type": "string",
"description": "Knowledge Setting ID."
}
},
"required": [
"PCID",
"knowledgeSettingId"
]
}
genesys_knowledge_get_settings
Get Knowledge settings. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
before | string | No | — | The cursor that points to the start of the set of entities that has been returned. |
after | string | No | — | The cursor that points to the end of the set of entities that has been returned. |
pageSize | string | No | — | Number of entities to return. Maximum of 200. |
name | string | No | — | Knowledge setting name to search upon. |
sourceId | string | No | — | Source ID to filter knowledge settings by. |
sortBy | string | No | — | Field to sort the knowledge settings on. |
sortOrder | string | No | — | Sorting order for knowledge settings. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"before": {
"type": "string",
"description": "The cursor that points to the start of the set of entities that has been returned."
},
"after": {
"type": "string",
"description": "The cursor that points to the end of the set of entities that has been returned."
},
"pageSize": {
"type": "string",
"description": "Number of entities to return. Maximum of 200."
},
"name": {
"type": "string",
"description": "Knowledge setting name to search upon."
},
"sourceId": {
"type": "string",
"description": "Source ID to filter knowledge settings by."
},
"sortBy": {
"type": "string",
"description": "Field to sort the knowledge settings on.",
"enum": [
"dateModified",
"name"
]
},
"sortOrder": {
"type": "string",
"description": "Sorting order for knowledge settings.",
"enum": [
"Asc",
"Desc"
]
}
},
"required": [
"PCID"
]
}
genesys_knowledge_patch_guest_session_documents_search_search_id
Update search result. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
sessionId | string | Yes | — | Knowledge guest session ID. |
searchId | string | Yes | — | Search Result ID |
answered | boolean | Yes | — | Mark the search as answered/unanswered |
selectedAnswer | object | No | — | Selected Answer |
selectedAnswers | object[] | No | — | The search results selected as answers |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"sessionId": {
"type": "string",
"description": "Knowledge guest session ID."
},
"searchId": {
"type": "string",
"description": "Search Result ID"
},
"answered": {
"type": "boolean",
"description": "Mark the search as answered/unanswered"
},
"selectedAnswer": {
"type": "object",
"description": "Selected Answer",
"properties": {
"document": {
"type": "object",
"description": "The document value"
}
},
"required": [
"document"
]
},
"selectedAnswers": {
"type": "array",
"items": {
"type": "object",
"properties": {
"document": {
"type": "object",
"description": "The document value"
}
},
"required": [
"document"
]
},
"description": "The search results selected as answers"
}
},
"required": [
"PCID",
"sessionId",
"searchId",
"answered"
]
}
genesys_knowledge_patch_knowledgebase
Update knowledge base Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID |
description | string | No | — | Knowledge base description |
name | string | No | — | Knowledge base name |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"knowledgeBaseId": {
"type": "string",
"description": "Knowledge base ID"
},
"description": {
"type": "string",
"description": "Knowledge base description"
},
"name": {
"type": "string",
"description": "Knowledge base name"
}
},
"required": [
"PCID",
"knowledgeBaseId"
]
}
genesys_knowledge_patch_knowledgebase_category
Update category Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID |
categoryId | string | Yes | — | Category ID |
description | string | No | — | The description value |
externalId | string | No | — | The external id associated with the category. |
id | string | No | — | The globally unique identifier for the object. |
name | string | No | — | The name of the category. |
parentCategoryId | string | No | — | The category to which this category belongs. |
selfUri | string | No | — | The URI for this object |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"knowledgeBaseId": {
"type": "string",
"description": "Knowledge base ID"
},
"categoryId": {
"type": "string",
"description": "Category ID"
},
"description": {
"type": "string",
"description": "The description value"
},
"externalId": {
"type": "string",
"description": "The external id associated with the category."
},
"id": {
"type": "string",
"description": "The globally unique identifier for the object."
},
"name": {
"type": "string",
"description": "The name of the category."
},
"parentCategoryId": {
"type": "string",
"description": "The category to which this category belongs."
},
"selfUri": {
"type": "string",
"description": "The URI for this object"
}
},
"required": [
"PCID",
"knowledgeBaseId",
"categoryId"
]
}
genesys_knowledge_patch_knowledgebase_chunks_search_search_id
Register chunk search result. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge Base ID |
searchId | string | Yes | — | Unique identifier of search request |
answered | boolean | Yes | — | Mark the chunks search as answered/unanswered |
selectedAnswers | object[] | No | — | The search results selected as answers |
sessionId | string | No | — | The unique identifier of this session |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"knowledgeBaseId": {
"type": "string",
"description": "Knowledge Base ID"
},
"searchId": {
"type": "string",
"description": "Unique identifier of search request"
},
"answered": {
"type": "boolean",
"description": "Mark the chunks search as answered/unanswered"
},
"selectedAnswers": {
"type": "array",
"items": {
"type": "object",
"properties": {
"document": {
"type": "object",
"description": "The document value"
}
},
"required": [
"document"
]
},
"description": "The search results selected as answers"
},
"sessionId": {
"type": "string",
"description": "The unique identifier of this session"
}
},
"required": [
"PCID",
"knowledgeBaseId",
"searchId",
"answered"
]
}
genesys_knowledge_patch_knowledgebase_document
Update document. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID. |
documentId | string | Yes | — | Document ID. |
alternatives | object[] | No | — | List of alternate phrases related to the title which improves search results. |
categoryId | string | No | — | The category associated with the document. |
externalId | string | No | — | The external id associated with the document. |
externalUrl | string | No | — | The URL to external document. |
id | string | No | — | The globally unique identifier for the object. |
labelIds | string[] | No | — | The ids of labels associated with the document. |
selfUri | string | No | — | The URI for this object |
title | string | Yes | — | Document title. |
visible | boolean | No | — | Indicates if the knowledge document should be included in search results. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"knowledgeBaseId": {
"type": "string",
"description": "Knowledge base ID."
},
"documentId": {
"type": "string",
"description": "Document ID."
},
"alternatives": {
"type": "array",
"items": {
"type": "object",
"properties": {
"phrase": {
"type": "string",
"description": "Alternate phrasing to the document title, having a limit of 500 words."
},
"autocomplete": {
"type": "boolean",
"description": "Autocomplete enabled for the alternate phrase."
}
},
"required": [
"autocomplete",
"phrase"
]
},
"description": "List of alternate phrases related to the title which improves search results."
},
"categoryId": {
"type": "string",
"description": "The category associated with the document."
},
"externalId": {
"type": "string",
"description": "The external id associated with the document."
},
"externalUrl": {
"type": "string",
"description": "The URL to external document."
},
"id": {
"type": "string",
"description": "The globally unique identifier for the object."
},
"labelIds": {
"type": "array",
"items": {
"type": "string"
},
"description": "The ids of labels associated with the document."
},
"selfUri": {
"type": "string",
"description": "The URI for this object"
},
"title": {
"type": "string",
"description": "Document title."
},
"visible": {
"type": "boolean",
"description": "Indicates if the knowledge document should be included in search results."
}
},
"required": [
"PCID",
"knowledgeBaseId",
"documentId",
"title"
]
}
genesys_knowledge_patch_knowledgebase_document_feedback_feedback_id
Update feedback on a document Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID. |
documentId | string | Yes | — | Document ID. |
feedbackId | string | Yes | — | Feedback ID. |
comment | string | No | — | Feedback comment |
rating | string | Yes | — | Feedback rating. |
reason | string | No | — | Feedback reason |
state | string | No | — | Feedback state |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"knowledgeBaseId": {
"type": "string",
"description": "Knowledge base ID."
},
"documentId": {
"type": "string",
"description": "Document ID."
},
"feedbackId": {
"type": "string",
"description": "Feedback ID."
},
"comment": {
"type": "string",
"description": "Feedback comment"
},
"rating": {
"type": "string",
"description": "Feedback rating.",
"enum": [
"Negative",
"Positive"
]
},
"reason": {
"type": "string",
"description": "Feedback reason",
"enum": [
"DocumentContent",
"SearchResults"
]
},
"state": {
"type": "string",
"description": "Feedback state",
"enum": [
"Draft",
"Final"
]
}
},
"required": [
"PCID",
"knowledgeBaseId",
"documentId",
"feedbackId",
"rating"
]
}
genesys_knowledge_patch_knowledgebase_document_variation
Update a variation for a document. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
documentVariationId | string | Yes | — | Globally unique identifier for a document variation. |
documentId | string | Yes | — | Globally unique identifier for a document. |
knowledgeBaseId | string | Yes | — | Globally unique identifier for a knowledge base. |
body | object | No | — | The body value |
contexts | object[] | Yes | — | The context values associated with the variation. |
dateCreated | string | No | — | The creation date-time for the document variation. Date time is represented as an ISO-8601 string. For example: yyyy-MM-ddTHH:mm:ss[.mmm]Z |
dateModified | string | No | — | The last modification date-time for the document variation. Date time is represented as an ISO-8601 string. For example: yyyy-MM-ddTHH:mm:ss[.mmm]Z |
document | object | No | — | The document value |
documentVersion | object | No | — | Document Version |
id | string | No | — | The globally unique identifier for the variation. |
name | string | No | — | The name of the variation. |
priority | integer | No | — | The priority of the variation. |
selfUri | string | No | — | The URI for this object |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"documentVariationId": {
"type": "string",
"description": "Globally unique identifier for a document variation."
},
"documentId": {
"type": "string",
"description": "Globally unique identifier for a document."
},
"knowledgeBaseId": {
"type": "string",
"description": "Globally unique identifier for a knowledge base."
},
"body": {
"type": "object",
"description": "The body value",
"properties": {
"blocks": {
"type": "array",
"items": {
"type": "object"
},
"description": "The list of building blocks for the document body."
}
},
"required": [
"blocks"
]
},
"contexts": {
"type": "array",
"items": {
"type": "object",
"properties": {
"context": {
"type": "object",
"description": "The context value"
},
"values": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "The globally unique identifier for the knowledge context value."
},
"selfUri": {
"type": "string",
"description": "The URI for this object"
}
}
},
"description": "The list of knowledge context values associated with the variation."
}
},
"required": [
"context",
"values"
]
},
"description": "The context values associated with the variation."
},
"dateCreated": {
"type": "string",
"description": "The creation date-time for the document variation. Date time is represented as an ISO-8601 string. For example: yyyy-MM-ddTHH:mm:ss[.mmm]Z"
},
"dateModified": {
"type": "string",
"description": "The last modification date-time for the document variation. Date time is represented as an ISO-8601 string. For example: yyyy-MM-ddTHH:mm:ss[.mmm]Z"
},
"document": {
"type": "object",
"description": "The document value",
"properties": {
"id": {
"type": "string",
"description": "The globally unique identifier for the document."
},
"knowledgeBase": {
"type": "object",
"description": "Knowledge Base"
},
"selfUri": {
"type": "string",
"description": "The URI for this object"
}
},
"required": [
"id",
"knowledgeBase"
]
},
"documentVersion": {
"type": "object",
"description": "Document Version",
"properties": {
"id": {
"type": "string",
"description": "The id value"
},
"selfUri": {
"type": "string",
"description": "Self Uri"
}
}
},
"id": {
"type": "string",
"description": "The globally unique identifier for the variation."
},
"name": {
"type": "string",
"description": "The name of the variation."
},
"priority": {
"type": "integer",
"description": "The priority of the variation."
},
"selfUri": {
"type": "string",
"description": "The URI for this object"
}
},
"required": [
"PCID",
"documentVariationId",
"documentId",
"knowledgeBaseId",
"contexts"
]
}
genesys_knowledge_patch_knowledgebase_documents_search_search_id
Update search result. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | The ID of knowledge base containing the documents to query. |
searchId | string | Yes | — | Search Result ID |
answered | boolean | Yes | — | Mark the search as answered/unanswered |
selectedAnswer | object | No | — | Selected Answer |
selectedAnswers | object[] | No | — | The search results selected as answers |
sessionId | string | No | — | The unique identifier of this session |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"knowledgeBaseId": {
"type": "string",
"description": "The ID of knowledge base containing the documents to query."
},
"searchId": {
"type": "string",
"description": "Search Result ID"
},
"answered": {
"type": "boolean",
"description": "Mark the search as answered/unanswered"
},
"selectedAnswer": {
"type": "object",
"description": "Selected Answer",
"properties": {
"document": {
"type": "object",
"description": "The document value"
}
},
"required": [
"document"
]
},
"selectedAnswers": {
"type": "array",
"items": {
"type": "object",
"properties": {
"document": {
"type": "object",
"description": "The document value"
}
},
"required": [
"document"
]
},
"description": "The search results selected as answers"
},
"sessionId": {
"type": "string",
"description": "The unique identifier of this session"
}
},
"required": [
"PCID",
"knowledgeBaseId",
"searchId",
"answered"
]
}
genesys_knowledge_patch_knowledgebase_label
Update label Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID |
labelId | string | Yes | — | Label ID |
color | string | No | — | The color for the label. |
externalId | string | No | — | The external id associated with the label. |
id | string | No | — | The globally unique identifier for the object. |
name | string | No | — | The name of the label. |
selfUri | string | No | — | The URI for this object |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"knowledgeBaseId": {
"type": "string",
"description": "Knowledge base ID"
},
"labelId": {
"type": "string",
"description": "Label ID"
},
"color": {
"type": "string",
"description": "The color for the label."
},
"externalId": {
"type": "string",
"description": "The external id associated with the label."
},
"id": {
"type": "string",
"description": "The globally unique identifier for the object."
},
"name": {
"type": "string",
"description": "The name of the label."
},
"selfUri": {
"type": "string",
"description": "The URI for this object"
}
},
"required": [
"PCID",
"knowledgeBaseId",
"labelId"
]
}
genesys_knowledge_patch_knowledgebase_parse_job
Send update to the parse operation Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID |
parseJobId | string | Yes | — | Parse job ID |
hints | string[] | No | — | Hinted titles for the parser. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"knowledgeBaseId": {
"type": "string",
"description": "Knowledge base ID"
},
"parseJobId": {
"type": "string",
"description": "Parse job ID"
},
"hints": {
"type": "array",
"items": {
"type": "string"
},
"description": "Hinted titles for the parser."
}
},
"required": [
"PCID",
"knowledgeBaseId",
"parseJobId"
]
}
genesys_knowledge_patch_knowledgebase_synchronize_job
Update synchronization job Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID |
syncJobId | string | Yes | — | Synchronization job ID |
status | string | Yes | — | New status for an existing sync operation |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"knowledgeBaseId": {
"type": "string",
"description": "Knowledge base ID"
},
"syncJobId": {
"type": "string",
"description": "Synchronization job ID"
},
"status": {
"type": "string",
"description": "New status for an existing sync operation",
"enum": [
"Created",
"ValidationInProgress",
"ValidationCompleted",
"ValidationFailed",
"Started",
"InProgress",
"Completed",
"PartialCompleted",
"Failed",
"AbortRequested",
"Aborted"
]
}
},
"required": [
"PCID",
"knowledgeBaseId",
"syncJobId",
"status"
]
}
genesys_knowledge_patch_knowledgebase_unanswered_group_phrasegroup
Update a Knowledge base unanswered phrase group Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID |
groupId | string | Yes | — | The ID of the group to be updated. |
phraseGroupId | string | Yes | — | The ID of the phraseGroup to be updated. |
dateEnd | string | No | — | The end date to be used for filtering phrases. Dates are represented as an ISO-8601 string. For example: yyyy-MM-dd |
dateStart | string | No | — | The start date to be used for filtering phrases. Dates are represented as an ISO-8601 string. For example: yyyy-MM-dd |
phraseAssociations | object[] | Yes | — | List of phrases and documents to be linked |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"knowledgeBaseId": {
"type": "string",
"description": "Knowledge base ID"
},
"groupId": {
"type": "string",
"description": "The ID of the group to be updated."
},
"phraseGroupId": {
"type": "string",
"description": "The ID of the phraseGroup to be updated."
},
"dateEnd": {
"type": "string",
"description": "The end date to be used for filtering phrases. Dates are represented as an ISO-8601 string. For example: yyyy-MM-dd"
},
"dateStart": {
"type": "string",
"description": "The start date to be used for filtering phrases. Dates are represented as an ISO-8601 string. For example: yyyy-MM-dd"
},
"phraseAssociations": {
"type": "array",
"items": {
"type": "object",
"properties": {
"phraseId": {
"type": "string",
"description": "Id of the phrase to be linked"
},
"documentId": {
"type": "string",
"description": "Id of the document to be linked"
}
},
"required": [
"documentId",
"phraseId"
]
},
"description": "List of phrases and documents to be linked"
}
},
"required": [
"PCID",
"knowledgeBaseId",
"groupId",
"phraseGroupId",
"phraseAssociations"
]
}
genesys_knowledge_patch_setting
Update Knowledge setting. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeSettingId | string | Yes | — | Knowledge Setting ID. |
description | string | No | — | Knowledge setting description. |
filter | object | No | — | The filter value |
generationSetting | object | No | — | Generation Setting |
name | string | Yes | — | Knowledge setting name. |
sources | object[] | Yes | — | Knowledge source information to search upon. |
stateful | boolean | No | — | Indicates if stateful search and generation is enabled for the knowledge setting. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"knowledgeSettingId": {
"type": "string",
"description": "Knowledge Setting ID."
},
"description": {
"type": "string",
"description": "Knowledge setting description."
},
"filter": {
"type": "object",
"description": "The filter value",
"properties": {
"allOf": {
"type": "array",
"items": {
"type": "string"
},
"description": "Tags that must all be present (AND)."
},
"anyOfGroups": {
"type": "array",
"items": {
"type": "array"
},
"description": "OR groups ANDed together; within each group at least one tag must match."
},
"noneOf": {
"type": "array",
"items": {
"type": "string"
},
"description": "Tags that must not be present on matching chunks."
}
}
},
"generationSetting": {
"type": "object",
"description": "Generation Setting",
"properties": {
"answerGeneration": {
"type": "boolean",
"description": "Indicates if answer generation is enabled for the setting."
},
"generationLanguage": {
"type": "string",
"description": "Answer generation language.",
"enum": [
"ar-AE",
"cs-CZ",
"da-DK",
"de-AT",
"de-CH",
"de-DE",
"en-AU",
"en-CA",
"en-GB",
"en-HK",
"en-IE",
"en-IN",
"en-NZ",
"en-PH",
"en-SG",
"en-US",
"en-ZA",
"es-AR",
"es-CO",
"es-ES",
"es-MX",
"es-US",
"fi-FI",
"fr-BE",
"fr-CA",
"fr-CH",
"fr-FR",
"hi-IN",
"hu-HU",
"it-IT",
"ja-JP",
"ko-KR",
"nb-NO",
"nl-BE",
"nl-NL",
"pt-BR",
"pt-PT",
"sv-SE",
"tr-TR",
"el-GR",
"fil-PH",
"he-IL",
"ms-MY",
"pl-PL",
"th-TH"
]
}
},
"required": [
"answerGeneration"
]
},
"name": {
"type": "string",
"description": "Knowledge setting name."
},
"sources": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "Source Id."
},
"selfUri": {
"type": "string",
"format": "uri",
"description": "The URI for this object"
}
},
"required": [
"id"
]
},
"description": "Knowledge source information to search upon."
},
"stateful": {
"type": "boolean",
"description": "Indicates if stateful search and generation is enabled for the knowledge setting."
}
},
"required": [
"PCID",
"knowledgeSettingId",
"name",
"sources"
]
}
genesys_knowledge_post_documentuploads
Creates a presigned URL for uploading a knowledge import file with a set of documents Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
contentMd5 | string | No | — | Content MD5 of the file to upload |
contentType | string | No | — | The content type of the file to upload. Allows all MIME types |
fileName | string | No | — | Name of the file to upload. It must not start with a dot and not end with a forward slash. Whitespace and the following characters are not allowed: {^}%`]”>[~<#| |
serverSideEncryption | string | No | — | Server Side Encryption |
signedUrlTimeoutSeconds | integer | No | — | The number of seconds the presigned URL is valid for (from 1 to 604800 seconds). If none provided, defaults to 600 seconds |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"contentMd5": {
"type": "string",
"description": "Content MD5 of the file to upload"
},
"contentType": {
"type": "string",
"description": "The content type of the file to upload. Allows all MIME types"
},
"fileName": {
"type": "string",
"description": "Name of the file to upload. It must not start with a dot and not end with a forward slash. Whitespace and the following characters are not allowed: \\{^}%`]\">[~<#|"
},
"serverSideEncryption": {
"type": "string",
"description": "Server Side Encryption",
"enum": [
"AES256"
]
},
"signedUrlTimeoutSeconds": {
"type": "integer",
"description": "The number of seconds the presigned URL is valid for (from 1 to 604800 seconds). If none provided, defaults to 600 seconds"
}
},
"required": [
"PCID"
]
}
genesys_knowledge_post_guest_session_document_copies
Indicate that the document was copied by the user. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
sessionId | string | Yes | — | Knowledge guest session ID. |
documentId | string | Yes | — | Document ID |
application | object | No | — | The application value |
documentVariationId | string | Yes | — | The variation of the document whose content was copied. |
documentVersionId | string | Yes | — | The version of the document whose content was copied. |
queryType | string | No | — | The type of the query that surfaced the document. |
searchId | string | No | — | The search that surfaced the document whose content was copied. |
surfacingMethod | string | No | — | The method how knowledge was surfaced. Article: Full article was shown. Snippet: A snippet from the article was shown. Highlight: A highlighted answer in a snippet was shown.Generative: A generated answer in a snippet was shown. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"sessionId": {
"type": "string",
"description": "Knowledge guest session ID."
},
"documentId": {
"type": "string",
"description": "Document ID"
},
"application": {
"type": "object",
"description": "The application value",
"properties": {
"type": {
"type": "string",
"description": "Application type.",
"enum": [
"Assistant",
"BotFlow",
"MessengerKnowledgeApp",
"SmartAdvisor",
"SupportCenter"
]
},
"deployment": {
"type": "object",
"description": "The deployment value"
},
"botFlow": {
"type": "object",
"description": "Bot Flow"
},
"assistant": {
"type": "object",
"description": "The assistant value"
}
},
"required": [
"type"
]
},
"documentVariationId": {
"type": "string",
"description": "The variation of the document whose content was copied."
},
"documentVersionId": {
"type": "string",
"description": "The version of the document whose content was copied."
},
"queryType": {
"type": "string",
"description": "The type of the query that surfaced the document.",
"enum": [
"Unknown",
"Article",
"AutoSearch",
"Category",
"ManualSearch",
"Recommendation",
"Suggestion",
"ExpandedArticle"
]
},
"searchId": {
"type": "string",
"description": "The search that surfaced the document whose content was copied."
},
"surfacingMethod": {
"type": "string",
"description": "The method how knowledge was surfaced. Article: Full article was shown. Snippet: A snippet from the article was shown. Highlight: A highlighted answer in a snippet was shown.Generative: A generated answer in a snippet was shown.",
"enum": [
"Unknown",
"Article",
"Snippet",
"Highlight",
"Generative"
]
}
},
"required": [
"PCID",
"sessionId",
"documentId",
"documentVariationId",
"documentVersionId"
]
}
genesys_knowledge_post_guest_session_document_feedback
Give feedback on a document Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
sessionId | string | Yes | — | Knowledge guest session ID. |
documentId | string | Yes | — | Document ID. |
application | object | No | — | The application value |
comment | string | No | — | Free-text comment of the feedback. Maximum length: 2000 characters. |
dateCreated | string | No | — | The date and time of the feedback. Date time is represented as an ISO-8601 string. For example: yyyy-MM-ddTHH:mm:ss[.mmm]Z |
document | object | Yes | — | The document value |
documentVariation | object | Yes | — | Document Variation |
id | string | No | — | The globally unique identifier for the object. |
queryType | string | No | — | The type of the query that surfaced the document on which the feedback was given. |
rating | string | Yes | — | Feedback rating. |
reason | string | No | — | Feedback reason. |
search | object | No | — | The search value |
state | string | No | — | The state of the feedback. |
surfacingMethod | string | No | — | The method how knowledge was surfaced. Article: Full article was shown. Snippet: A snippet from the article was shown. Highlight: A highlighted answer in a snippet was shown.Generative: A generated answer in a snippet was shown. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"sessionId": {
"type": "string",
"description": "Knowledge guest session ID."
},
"documentId": {
"type": "string",
"description": "Document ID."
},
"application": {
"type": "object",
"description": "The application value",
"properties": {
"type": {
"type": "string",
"description": "Application type.",
"enum": [
"Assistant",
"BotFlow",
"MessengerKnowledgeApp",
"SmartAdvisor",
"SupportCenter"
]
},
"deployment": {
"type": "object",
"description": "The deployment value"
},
"botFlow": {
"type": "object",
"description": "Bot Flow"
},
"assistant": {
"type": "object",
"description": "The assistant value"
}
},
"required": [
"type"
]
},
"comment": {
"type": "string",
"description": "Free-text comment of the feedback. Maximum length: 2000 characters."
},
"dateCreated": {
"type": "string",
[...]
